LibreOffice: XCellRange Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XCellRange Interface Referencepublished

provides access to the cells or to sub-ranges of a cell range. More...

`import "XCellRange.idl";`

Inheritance diagram for XCellRange:

## Public Member Functions
com::sun::star::table::XCell | getCellByPosition ([in] long nColumn, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a single cell within the range.
com::sun::star::table::XCellRange | getCellRangeByPosition ([in] long nLeft, [in] long nTop, [in] long nRight, [in] long nBottom) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a sub-range of cells within the range.
com::sun::star::table::XCellRange | getCellRangeByName ([in] string aRange)
| Returns a sub-range of cells within the range.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to the cells or to sub-ranges of a cell range.

See also
  com::sun::star::table::CellRange

Developers Guide
  Spreadsheet Documents - Cell and Cell Range Access

## Member Function Documentation

## ◆ getCellByPosition()

com::sun::star::table::XCell getCellByPosition | ( | [in] long | nColumn,
|  | [in] long | nRow )
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

Returns a single cell within the range.

Parameters

  nColumn | is the column index of the cell inside the range.
  nRow | is the row index of the cell inside the range.

Returns
  the specified cell.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if an index is outside the dimensions of this range.

See also
  com::sun::star::table::Cell

## ◆ getCellRangeByName()

com::sun::star::table::XCellRange getCellRangeByName | ( | [in] string | aRange | ) |

Returns a sub-range of cells within the range.

The sub-range is specified by its name. The format of the range name is dependent of the context of the table. In spreadsheets valid names may be "A1:C5" or "$B$2" or even defined names for cell ranges such as "MySpecialCell".

Parameters

  aRange | the name of the sub-range.

Returns
  the specified cell range.

See also
  com::sun::star::table::CellRange

## ◆ getCellRangeByPosition()

com::sun::star::table::XCellRange getCellRangeByPosition | ( | [in] long | nLeft,
|  | [in] long | nTop,
|  | [in] long | nRight,
|  | [in] long | nBottom )
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

Returns a sub-range of cells within the range.

Parameters

  nLeft | is the column index of the first cell inside the range.
  nTop | is the row index of the first cell inside the range.
  nRight | is the column index of the last cell inside the range.
  nBottom | is the row index of the last cell inside the range.

Returns
  the specified cell range.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if an index is outside the dimensions of this range.

See also
  com::sun::star::table::CellRange

The documentation for this interface was generated from the following file:

- com/sun/star/table/XCellRange.idl